{
  "log": {
    "level": "info",
    "timestamp": true
  },
  "dns": {
    "servers": [
      {
        "tag": "nodedns",
        "address": "tls://223.5.5.5:853",
        "detour": "direct"
      },
      {
        "tag": "fakeipDNS",
        "address": "fakeip"
      }
    ],
    "rules": [
      {
        "domain_suffix": [
          "xxx.top"            //这里填写自已的DDNS。VPS用户如果域名无法解析出IP的话，这里把VPS的域名也写上。记得注释都要删掉
        ],
        "server": "nodedns",
        "disable_cache": true
      },
      {
        "inbound": "dns-in",
        "server": "fakeipDNS",
        "rewrite_ttl": 1
      },
      {
        "outbound": "any",
        "server": "nodedns",
        "disable_cache": true
      }
    ],
    "fakeip": {
      "enabled": true,
      "inet4_range": "28.0.0.1/8",
      "inet6_range": "fc00::/18"
    },
    "strategy": "prefer_ipv4",
    "independent_cache": true
  },
  "inbounds": [
    {
      "type": "mixed",
      "listen": "::",
      "listen_port": 10000
    },
    {
      "type": "direct",
      "tag": "dns-in",
      "listen": "::",
      "listen_port": 6666
    },
    {
      "type": "tproxy",
      "tag": "tproxy-in",
      "listen": "::",
      "listen_port": 7896,
      "tcp_fast_open": true,
      "sniff": true,
      "sniff_timeout": "100ms"
    }
  ],
  "outbounds": [
    {
      "type": "selector",
      "tag": "🚀 节点选择",
      "outbounds": [
        "🔄 自动选择",
        "♻️ 手动选择",
        "🇭🇰 花云机场 香港节点",
        "🇯🇵 花云机场 日本节点",
        "🇸🇬 花云机场 狮城节点",
        "🇺🇲 花云机场 美国节点",
        "🇭🇰 顶级机场 香港节点",
        "🇯🇵 顶级机场 日本节点",
        "🇸🇬 顶级机场 狮城节点",
        "🇺🇲 顶级机场 美国节点",
        "🇰🇷 韩国节点",
        "🔰 其它节点",
        "☁️ 花云机场",
        "☁️ 顶级机场",
        "direct"
      ]
    },
    {
      "type": "urltest",
      "tag": "🔄 自动选择",
      "providers": [
        "花云机场",
        "顶级机场"
      ],
      "interval": "5m0s",
      "tolerance": 50
    },
    {
      "type": "selector",
      "tag": "♻️ 手动选择",
      "providers": [
        "花云机场",
        "顶级机场"
      ]
    },
    {
      "type": "selector",
      "tag": "Microsoft",
      "outbounds": [
        "🚀 节点选择",
        "♻️ 手动选择",
        "🇭🇰 花云机场 香港节点",
        "🇯🇵 花云机场 日本节点",
        "🇸🇬 花云机场 狮城节点",
        "🇺🇲 花云机场 美国节点",
        "🇭🇰 顶级机场 香港节点",
        "🇯🇵 顶级机场 日本节点",
        "🇸🇬 顶级机场 狮城节点",
        "🇺🇲 顶级机场 美国节点",
        "🇰🇷 韩国节点",
        "🔰 其它节点",
        "☁️ 花云机场",
        "☁️ 顶级机场",
        "direct"
      ]
    },
    {
      "type": "selector",
      "tag": "Google",
      "outbounds": [
        "🚀 节点选择",
        "♻️ 手动选择",
        "🇭🇰 花云机场 香港节点",
        "🇯🇵 花云机场 日本节点",
        "🇸🇬 花云机场 狮城节点",
        "🇺🇲 花云机场 美国节点",
        "🇭🇰 顶级机场 香港节点",
        "🇯🇵 顶级机场 日本节点",
        "🇸🇬 顶级机场 狮城节点",
        "🇺🇲 顶级机场 美国节点",
        "🇰🇷 韩国节点",
        "🔰 其它节点",
        "☁️ 花云机场",
        "☁️ 顶级机场",
        "direct"
      ]
    },
    {
      "type": "selector",
      "tag": "Telegram",
      "outbounds": [
        "🚀 节点选择",
        "♻️ 手动选择",
        "🇭🇰 花云机场 香港节点",
        "🇯🇵 花云机场 日本节点",
        "🇸🇬 花云机场 狮城节点",
        "🇺🇲 花云机场 美国节点",
        "🇭🇰 顶级机场 香港节点",
        "🇯🇵 顶级机场 日本节点",
        "🇸🇬 顶级机场 狮城节点",
        "🇺🇲 顶级机场 美国节点",
        "🇰🇷 韩国节点",
        "🔰 其它节点",
        "☁️ 花云机场",
        "☁️ 顶级机场",
        "direct"
      ]
    },
    {
      "type": "selector",
      "tag": "Openai",
      "outbounds": [
        "🚀 节点选择",
        "♻️ 手动选择",
        "🇭🇰 花云机场 香港节点",
        "🇯🇵 花云机场 日本节点",
        "🇸🇬 花云机场 狮城节点",
        "🇺🇲 花云机场 美国节点",
        "🇭🇰 顶级机场 香港节点",
        "🇯🇵 顶级机场 日本节点",
        "🇸🇬 顶级机场 狮城节点",
        "🇺🇲 顶级机场 美国节点",
        "🇰🇷 韩国节点",
        "🔰 其它节点",
        "☁️ 花云机场",
        "☁️ 顶级机场",
        "direct"
      ]
    },
    {
      "type": "selector",
      "tag": "Speedtest",
      "outbounds": [
        "🚀 节点选择",
        "♻️ 手动选择",
        "🇭🇰 花云机场 香港节点",
        "🇯🇵 花云机场 日本节点",
        "🇸🇬 花云机场 狮城节点",
        "🇺🇲 花云机场 美国节点",
        "🇭🇰 顶级机场 香港节点",
        "🇯🇵 顶级机场 日本节点",
        "🇸🇬 顶级机场 狮城节点",
        "🇺🇲 顶级机场 美国节点",
        "🇰🇷 韩国节点",
        "🔰 其它节点",
        "☁️ 花云机场",
        "☁️ 顶级机场",
        "direct"
      ]
    },
    {
      "type": "selector",
      "tag": "Github",
      "outbounds": [
        "🚀 节点选择",
        "♻️ 手动选择",
        "🇭🇰 花云机场 香港节点",
        "🇯🇵 花云机场 日本节点",
        "🇸🇬 花云机场 狮城节点",
        "🇺🇲 花云机场 美国节点",
        "🇭🇰 顶级机场 香港节点",
        "🇯🇵 顶级机场 日本节点",
        "🇸🇬 顶级机场 狮城节点",
        "🇺🇲 顶级机场 美国节点",
        "🇰🇷 韩国节点",
        "🔰 其它节点",
        "☁️ 花云机场",
        "☁️ 顶级机场",
        "direct"
      ]
    },
    {
      "type": "selector",
      "tag": "Cloudflare",
      "outbounds": [
        "🚀 节点选择",
        "♻️ 手动选择",
        "🇭🇰 花云机场 香港节点",
        "🇯🇵 花云机场 日本节点",
        "🇸🇬 花云机场 狮城节点",
        "🇺🇲 花云机场 美国节点",
        "🇭🇰 顶级机场 香港节点",
        "🇯🇵 顶级机场 日本节点",
        "🇸🇬 顶级机场 狮城节点",
        "🇺🇲 顶级机场 美国节点",
        "🇰🇷 韩国节点",
        "🔰 其它节点",
        "☁️ 花云机场",
        "☁️ 顶级机场",
        "direct"
      ]
    },
    {
      "type": "selector",
      "tag": "Netflix",
      "outbounds": [
        "🚀 节点选择",
        "♻️ 手动选择",
        "🇭🇰 花云机场 香港节点",
        "🇯🇵 花云机场 日本节点",
        "🇸🇬 花云机场 狮城节点",
        "🇺🇲 花云机场 美国节点",
        "🇭🇰 顶级机场 香港节点",
        "🇯🇵 顶级机场 日本节点",
        "🇸🇬 顶级机场 狮城节点",
        "🇺🇲 顶级机场 美国节点",
        "🇰🇷 韩国节点",
        "🔰 其它节点",
        "☁️ 花云机场",
        "☁️ 顶级机场",
        "direct"
      ]
    },
    {
      "type": "selector",
      "tag": "Tiktok",
      "outbounds": [
        "🚀 节点选择",
        "♻️ 手动选择",
        "🇭🇰 花云机场 香港节点",
        "🇯🇵 花云机场 日本节点",
        "🇸🇬 花云机场 狮城节点",
        "🇺🇲 花云机场 美国节点",
        "🇭🇰 顶级机场 香港节点",
        "🇯🇵 顶级机场 日本节点",
        "🇸🇬 顶级机场 狮城节点",
        "🇺🇲 顶级机场 美国节点",
        "🇰🇷 韩国节点",
        "🔰 其它节点",
        "☁️ 花云机场",
        "☁️ 顶级机场",
        "direct"
      ]
    },
    {
      "type": "selector",
      "tag": "☁️ 花云机场",
      "providers": "花云机场"
    },
    {
      "type": "selector",
      "tag": "☁️ 顶级机场",
      "providers": "顶级机场"
    },
    {
      "type": "direct",
      "tag": "direct"
    },
    {
      "type": "block",
      "tag": "block"
    },
    {
      "type": "dns",
      "tag": "dns-out"
    },
    {
      "type": "urltest",
      "tag": "🇭🇰 花云机场 香港节点",
      "providers": "花云机场",
      "includes": "(?i)香港|HK|hk|Hong Kong|HongKong|hongkong",
      "tolerance": 100
    },
    {
      "type": "urltest",
      "tag": "🇯🇵 花云机场 日本节点",
      "providers": "花云机场",
      "includes": "(?i)日本|东京|大阪|[^-]日|JP|Japan",
      "tolerance": 100
    },
    {
      "type": "urltest",
      "tag": "🇸🇬 花云机场 狮城节点",
      "providers": "花云机场",
      "includes": "(?i)新加坡|坡|狮城|SG|Singapore",
      "tolerance": 100
    },
    {
      "type": "urltest",
      "tag": "🇺🇲 花云机场 美国节点",
      "providers": "花云机场",
      "includes": "(?i)美|达拉斯|洛杉矶|圣何塞|US|United States",
      "tolerance": 100
    },
    {
      "type": "urltest",
      "tag": "🇭🇰 顶级机场 香港节点",
      "providers": "顶级机场",
      "includes": "(?i)香港|HK|hk|Hong Kong|HongKong|hongkong",
      "tolerance": 100
    },
    {
      "type": "urltest",
      "tag": "🇯🇵 顶级机场 日本节点",
      "providers": "顶级机场",
      "includes": "(?i)日本|东京|大阪|[^-]日|JP|Japan",
      "tolerance": 100
    },
    {
      "type": "urltest",
      "tag": "🇸🇬 顶级机场 狮城节点",
      "providers": "顶级机场",
      "includes": "(?i)新加坡|坡|狮城|SG|Singapore",
      "tolerance": 100
    },
    {
      "type": "urltest",
      "tag": "🇺🇲 顶级机场 美国节点",
      "providers": "顶级机场",
      "includes": "(?i)美|达拉斯|洛杉矶|圣何塞|US|United States",
      "tolerance": 100
    },
    {
      "type": "urltest",
      "tag": "🇰🇷 韩国节点",
      "use_all_providers": true,
      "includes": "(?i)KR|Korea|KOR|首尔|韩|韓",
      "tolerance": 100
    },
    {
      "type": "urltest",
      "tag": "🔰 其它节点",
      "use_all_providers": true,
      "includes": "(?i)德国|DE|brd|germany|荷兰|NL|Netherlands|法国|FR|France|French Republic|台|tw|taiwan|澳大利亚|AU|Australia|迪拜|UAE|Dubai|印度|IN|India|英国|UnitedKingdom|UK|英|瑞典|Sweden|SE|巴西|Brazil|BR|非洲|Africa|AF",
      "tolerance": 100
    }
  ],
  "route": {
    "rules": [
      {
        "protocol": "dns",
        "outbound": "dns-out"
      },
      {
        "inbound": "dns-in",
        "outbound": "dns-out"
      },
      {
        "clash_mode": "direct",
        "outbound": "direct"
      },
      {
        "clash_mode": "global",
        "outbound": "🚀 节点选择"
      },
      {
        "network": "udp",
        "port": 443,
        "outbound": "block"
      },
      {
        "ip_is_private": true,
        "skip_resolve": true,
        "outbound": "direct"
      },
      {
        "domain_suffix": [
          "edu.cn",
          "gov.cn",
          "mil.cn",
          "ac.cn",
          "com.cn",
          "net.cn",
          "org.cn",
          "中国",
          "中國",
          "xn--fiqz9s",
          "xn--fiqs8s",
          "xn--fiq228c"
        ],
        "outbound": "direct"
      },
      {
        "domain_suffix": "xxx.top",                    //这里填写自已的DDNS。记得注释都要删掉
        "outbound": "direct"
      },
      {
        "domain_suffix": "browserleaks.com",
        "outbound": "🚀 节点选择"
      },
      {
        "rule_set": "geosite-google",
        "skip_resolve": true,
        "outbound": "Google"
      },
      {
        "rule_set": "geosite-microsoft",
        "skip_resolve": true,
        "outbound": "Microsoft"
      },
      {
        "rule_set": "geosite-telegram",
        "skip_resolve": true,
        "outbound": "Telegram"
      },
      {
        "rule_set": "geoip-telegram",
        "skip_resolve": true,
        "outbound": "Telegram"
      },
      {
        "rule_set": "geosite-openai",
        "skip_resolve": true,
        "outbound": "Openai"
      },
      {
        "rule_set": "geosite-speedtest",
        "skip_resolve": true,
        "outbound": "Speedtest"
      },
      {
        "rule_set": "geosite-github",
        "skip_resolve": true,
        "outbound": "Github"
      },
      {
        "rule_set": "geosite-cloudflare",
        "skip_resolve": true,
        "outbound": "Cloudflare"
      },
      {
        "rule_set": "geoip-cloudflare",
        "skip_resolve": true,
        "outbound": "Cloudflare"
      },
      {
        "rule_set": "geosite-netflix",
        "skip_resolve": true,
        "outbound": "Netflix"
      },
      {
        "rule_set": "geoip-netflix",
        "skip_resolve": true,        
        "outbound": "Netflix"
      },
      {
        "rule_set": "geosite-tiktok",
        "skip_resolve": true,
        "outbound": "Tiktok"
      },
      {
        "rule_set": [
          "GeoIP2-CN",
          "geosite-cn",
          "geosite-icloud@cn",
          "geosite-apple@cn"
        ],
        "skip_resolve": true,
        "outbound": "direct"
      }
    ],
    "rule_set": [
      {
        "type": "remote",
        "tag": "geosite-google",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/google.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-microsoft",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/microsoft.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-telegram",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/telegram.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geoip-telegram",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/telegram.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-openai",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/openai.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-speedtest",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/speedtest.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-github",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/github.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-cloudflare",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/cloudflare.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geoip-cloudflare",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/cloudflare.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-netflix",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/netflix.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geoip-netflix",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geoip/netflix.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-tiktok",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/tiktok.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "GeoIP2-CN",
        "format": "binary",
        "url": "https://wiki.jokin.uk/cnip2.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-cn",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/cn.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-icloud@cn",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/icloud@cn.srs",
        "download_detour": "direct"
      },
      {
        "type": "remote",
        "tag": "geosite-apple@cn",
        "format": "binary",
        "url": "https://wiki.jokin.uk/geo/geosite/apple@cn.srs",
        "download_detour": "direct"
      }
    ],
    "final": "🚀 节点选择",
    "auto_detect_interface": true,
    "default_mark": 1
  },
  "outbound_providers": [
    {
      "type": "http",
      "path": "/etc/sing-box/providers/花云机场.yaml",
      "tag": "花云机场",
      "healthcheck_url": "http://www.gstatic.com/generate_204",
      "healthcheck_interval": "24h0m0s",
      "download_url": "机场1订阅链接",                                          //填写机场1订阅链接，。鸡场名可以用Ctrl+H全局替换掉，记得注释都要删掉
      "download_ua": "clash.meta",
      "download_interval": "24000h0m0s",
      "download_detour": "direct"
    },
    {
      "type": "http",
      "path": "/etc/sing-box/providers/顶级机场.yaml",
      "tag": "顶级机场",
      "healthcheck_url": "http://www.gstatic.com/generate_204",
      "healthcheck_interval": "24h0m0s",
      "download_url": "机场2订阅链接",                                         //填写机场2订阅链接，。鸡场名可以用Ctrl+H全局替换掉，记得注释都要删掉
      "download_ua": "clash.meta",
      "download_interval": "24000h0m0s",
      "download_detour": "direct"
    }
  ],
  "experimental": {
    "cache_file": {
      "enabled": true,
      "path": "/etc/sing-box/cache.db",
      "cache_id": "my_profile1",
      "store_fakeip": true
    },
    "clash_api": {
      "external_controller": "0.0.0.0:9090",
      "external_ui": "/etc/sing-box/ui",
      "external_ui_download_url": "https://mirror.ghproxy.com/https://github.com/MetaCubeX/metacubexd/archive/gh-pages.zip",
      "external_ui_download_detour": "direct",
      "default_mode": "rule"
    }
  }
}
